Class | PhusionPassenger::AbstractInstaller
In: | lib/phusion_passenger/abstract_installer.rb
Parent: | Object

Abstract base class for text mode installers. Used by passenger-install-apache2-module and passenger-install-nginx-module.

Subclasses must at least implement the install! method which handles the installation itself.

Usage:

      installer = ConcereteInstallerClass.new(options...)
      installer.start

### Methods

new start

### Constants

PASSENGER_WEBSITE | = | "https://www.phusionpassenger.com"
PHUSION_WEBSITE | = | "www.phusion.nl"

### Public Class methods

new(options = {})

Create an AbstractInstaller. All options will be stored as instance variables, for example:

      installer = AbstractInstaller.new(:foo => "bar")
      installer.instance_variable_get(:"@foo")   # => "bar"

### Public Instance methods

start()

Start the installation by calling the install! method.

[Validate]